function plot_stream(L,filterwindow)

warning('Quick and dirty, application specific plot... TODO: make this generic');

if nargin<2
    filterwindow = 10;
end

% Filter  data
useful_range = 1+filterwindow:length(L.stream_data_V)-filterwindow; % Remove filter artefact
time_s = (useful_range-1)/L.scan_rate_achieved_Hz;
filtered_stream_data_V = LJ.maf(L.stream_data_V,filterwindow);
filtered_stream_data_V = filtered_stream_data_V(useful_range);

% Fit data
fit = robustfit(time_s,filtered_stream_data_V);
intercept_V = fit(1); % Intercept of the robust linear regression [V]
slope_V_per_s = fit(2); % Estimated slope of the signal [V/s]

% Plot data
figure
line(time_s,filtered_stream_data_V,'color','k')
line(time_s([1 end]),intercept_V+time_s([1 end])*slope_V_per_s,'color','r')
grid on
box on
xlabel 'time[s]'
ylabel 'signal [V]'
title(sprintf(...
    'Scan rate [Hz]: %3.0f, Filter window [-]: %u\nRobust linear regression: intercept %.3fV, slope %.4fV/s',...
    L.scan_rate_achieved_Hz,filterwindow,intercept_V,slope_V_per_s))

end